* fxLib.FOR                                                                 *
* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.  *

*****************************************************************************
*                                                                           *
* Parameter declarations for PCX Effects, MS Fortran 4.1.                   *
*                                                                           *
*                                                                           *
*                                                                           *
* Microsoft Fortran 4.1                   Programmer: Chris Howard  5/09/89 *
*                                                                           *
*****************************************************************************

$NOTRUNCATE

* Functions
      INTEGER*2 fxSetEffect
      INTEGER*2 fxGetEffect
      INTEGER*2 fxSetGrain 
      INTEGER*2 fxGetGrain
      INTEGER*2 fxSetDelay
      INTEGER*2 fxGetDelay
      INTEGER*2 fxGetVersion
      INTEGER*2 fxVirtualEffect

      INTEGER*2 fxCalibrateDelay
      INTEGER*2 fxEffectDelay
      INTEGER*2 fxKeyCheck

      INTEGER*2 fxSetSpeaker
      INTEGER*2 fxSetFrequency
      INTEGER*2 fxTone
      INTEGER*2 fxPlay
      INTEGER*2 fxPlayLeft
      INTEGER*2 fxPlayKill
      INTEGER*2 fxPlayLoop

      INTEGER*2 fxPaletteCycle
      INTEGER*2 fxPaletteFade

      INTEGER*2 fxSetRand
      INTEGER*2 fxGetRand

      INTEGER*2 fxFileImage
      INTEGER*2 fxLibImage
      INTEGER*2 fxFreeImage

* Effects
      INTEGER*2  fxMINEFFECT,fxWIPE,fxSPLIT,fxCRUSH,fxSLIDE,fxSAND
      INTEGER*2  fxDRIP,fxEXPLODE,fxDIAGONAL,fxSPIRAL,fxRANDOM
      INTEGER*2  fxMAXEFFECT
      PARAMETER (fxMINEFFECT = 0)
      PARAMETER (fxWIPE      = 0)
      PARAMETER (fxSPLIT     = 1)
      PARAMETER (fxCRUSH     = 2)
      PARAMETER (fxSLIDE     = 3)
      PARAMETER (fxSAND      = 4)
      PARAMETER (fxDRIP      = 5)
      PARAMETER (fxEXPLODE   = 6)
      PARAMETER (fxDIAGONAL  = 7)
      PARAMETER (fxSPIRAL    = 8)
      PARAMETER (fxRANDOM    = 9)
      PARAMETER (fxMAXEFFECT = 9)

* Palette
      INTEGER*2  fxFADEOUT,fxFADEIN
      PARAMETER (fxFADEOUT   = 1000)
      PARAMETER (fxFADEIN    = 1001)

* Directions
      INTEGER*2  fxNONE,fxLEFT,fxRIGHT,fxUP,fxDOWN,fxHORIZ,fxVERT
      INTEGER*2  fxOUT,fxIN
      PARAMETER (fxNONE      = 0)
      PARAMETER (fxLEFT      = 1)
      PARAMETER (fxRIGHT     = 2)
      PARAMETER (fxUP        = 4)
      PARAMETER (fxDOWN      = 8)
      PARAMETER (fxHORIZ     = 1)
      PARAMETER (fxVERT      = 2)
      PARAMETER (fxOUT       = 1)
      PARAMETER (fxIN        = 2)

* Grain
      INTEGER*2  fxMINGRAIN,fxMAXGRAIN
      PARAMETER (fxMINGRAIN  = 2)
      PARAMETER (fxMAXGRAIN  = 64)

* Delay
      INTEGER*2  fxMINDELAY,fxMAXDELAY
      PARAMETER (fxMINDELAY  = 0)
      PARAMETER (fxMAXDELAY  = 500)

* Miscellaneous
      INTEGER*2  fxTRUE,fxFALSE,fxON,fxOFF
      PARAMETER (fxTRUE      = 1)
      PARAMETER (fxFALSE     = 0)
      PARAMETER (fxON        = fxTRUE)
      PARAMETER (fxOFF       = fxFALSE)

* Error Codes
      INTEGER*2  fxSUCCESS,fxERR_CLIPPARM,fxERR_ESCAPE,fxERR_BADEFFECT
      INTEGER*2  fxERR_BADGRAIN,fxERR_BADDELAY
*     Successful
      PARAMETER (fxSUCCESS        =  0)
*     Bad number of Clipper parms
      PARAMETER (fxERR_CLIPPARM   = pcxERR_CLIPPARM)
*     Escape key was pressed
      PARAMETER (fxERR_ESCAPE     = pcxERR_ESCAPE)
*     Effect not defined/invalid
      PARAMETER (fxERR_BADEFFECT  = -1000)
*     Grain  not defined/invalid
      PARAMETER (fxERR_BADGRAIN   = -1001)
*     Delay  not defined/invalid
      PARAMETER (fxERR_BADDELAY   = -1002)

